1. Taxpayers
  2. Create a taxpayer
POST
/v1/firms/{firmId}/taxpayers
curl --request POST \
     --url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/taxpayers \
     --header 'Authorization: Bearer <token>' \
     --header 'x-api-key: <x_api_key>' \
     --header 'Content-Type: application/json' \
     --data '{
  "externalId": "string",
  "ownerFirmUserId": "<uuid>",
  "name": "string",
  "activate": true,
  "user": {
    "emailAddress": "string",
    "name": "string",
    "lastName": "string",
    "phoneNumber": "string"
  }
}'

​
Authorizations

bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.

​
Query Parameters

firmId
required
string

Unique identifier of the firm.

x-api-key
required
string

API key of your Client Application.

​
Body

application/json
externalId
string

Optional external identifier provided by the client.

ownerFirmUserId
string

Optional unique identifier of the firm user who will own this taxpayer.

name
string

Optional name of the taxpayer.

activate
boolean

Optional. When true, the taxpayer's user is created already active, skipping the invite/signup step (defaults to false).

user
required
object

User information for the taxpayer.

​
Response

application/json
  • 201

  • 400

  • 401

  • 403

  • 404

  • 409

Created

id
string

The unique identifier of the taxpayer.

externalId
string

The external identifier provided by the client.

userId
string

The unique identifier of the taxpayer's user.